Bug 1312941 - [abrt] gnome-terminal: wl_proxy_marshal_array_constructor(): gnome-terminal-server killed by SIGABRT
[abrt] gnome-terminal: wl_proxy_marshal_array_constructor(): gnome-terminal-s...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0f445c7517a25d906938089c50e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 10:15 EST by Ting-Wei Lan
Modified: 2016-12-20 14:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:07:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.33 KB, text/plain)
2016-02-29 10:15 EST, Ting-Wei Lan
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-29 10:15 EST, Ting-Wei Lan
no flags Details
File: core_backtrace (4.54 KB, text/plain)
2016-02-29 10:15 EST, Ting-Wei Lan
no flags Details
File: dso_list (11.04 KB, text/plain)
2016-02-29 10:15 EST, Ting-Wei Lan
no flags Details
File: environ (926 bytes, text/plain)
2016-02-29 10:15 EST, Ting-Wei Lan
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-29 10:15 EST, Ting-Wei Lan
no flags Details
File: maps (57.93 KB, text/plain)
2016-02-29 10:15 EST, Ting-Wei Lan
no flags Details
File: mountinfo (6.65 KB, text/plain)
2016-02-29 10:15 EST, Ting-Wei Lan
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-29 10:15 EST, Ting-Wei Lan
no flags Details
File: open_fds (1.63 KB, text/plain)
2016-02-29 10:15 EST, Ting-Wei Lan
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2016-02-29 10:15 EST, Ting-Wei Lan
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-29 10:15 EST, Ting-Wei Lan
no flags Details

  None (edit)
Description Ting-Wei Lan 2016-02-29 10:15:33 EST
Description of problem:
I typed 'history' command in bash and gnome-terminal crashed.

Version-Release number of selected component:
gnome-terminal-3.18.2-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: wl_proxy_marshal_array_constructor
executable:     /usr/libexec/gnome-terminal-server
global_pid:     3904
kernel:         4.4.2-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 wl_proxy_marshal_array_constructor at src/wayland-client.c:610
 #3 wl_proxy_marshal at src/wayland-client.c:648
 #4 vte_terminal_emit_pending_signals(VteTerminal*) at vte.cc:12829
 #5 vte_terminal_process_incoming(VteTerminal*) at vte.cc:4059
 #6 time_process_incoming(VteTerminal*) at vte.cc:12876
 #7 update_repeat_timeout(gpointer) at vte.cc:13057
 #12 g_main_context_iteration at gmain.c:3901
 #13 g_application_run at gapplication.c:2311
Comment 1 Ting-Wei Lan 2016-02-29 10:15:37 EST
Created attachment 1131576 [details]
File: backtrace
Comment 2 Ting-Wei Lan 2016-02-29 10:15:39 EST
Created attachment 1131577 [details]
File: cgroup
Comment 3 Ting-Wei Lan 2016-02-29 10:15:40 EST
Created attachment 1131578 [details]
File: core_backtrace
Comment 4 Ting-Wei Lan 2016-02-29 10:15:41 EST
Created attachment 1131579 [details]
File: dso_list
Comment 5 Ting-Wei Lan 2016-02-29 10:15:43 EST
Created attachment 1131580 [details]
File: environ
Comment 6 Ting-Wei Lan 2016-02-29 10:15:44 EST
Created attachment 1131581 [details]
File: limits
Comment 7 Ting-Wei Lan 2016-02-29 10:15:46 EST
Created attachment 1131582 [details]
File: maps
Comment 8 Ting-Wei Lan 2016-02-29 10:15:47 EST
Created attachment 1131583 [details]
File: mountinfo
Comment 9 Ting-Wei Lan 2016-02-29 10:15:49 EST
Created attachment 1131584 [details]
File: namespaces
Comment 10 Ting-Wei Lan 2016-02-29 10:15:50 EST
Created attachment 1131585 [details]
File: open_fds
Comment 11 Ting-Wei Lan 2016-02-29 10:15:51 EST
Created attachment 1131586 [details]
File: proc_pid_status
Comment 12 Ting-Wei Lan 2016-02-29 10:15:53 EST
Created attachment 1131587 [details]
File: var_log_messages
Comment 13 Ting-Wei Lan 2016-02-29 10:18:55 EST
This problem only happens on Wayland.
Comment 14 Fedora End Of Life 2016-11-24 10:50:24 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 14:07:42 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.